Page MenuHomePhabricator

Add user controlled, per unit split feature at Special:PageMigration
Closed, DeclinedPublic

Description

Author: pr4tiklahoti

Description:
At Special:PageMigration, when the h2 alignment results into many units getting collapsed into a single unit, it becomes a tedious task to separate the chunk and the user has to do a lot of cut-copy-paste work.

However, in most common cases, to align manually, it is just required to bring the collapsed text next to the source unit and the consequent units would get matched automatically.

Having a split feature - which splits the headers from wikitext would automate this process and there won't be any need to cut-copy-paste. All the user has to do is bring the collapsed text next to the concerned unit and click the split icon.

This is more like a user controlled version of https://gerrit.wikimedia.org/r/#/c/136334/.

Collapsed text is just a use case of this. It is also useful when there were no newlines present before/after headers in the translation, where splitting becomes a job of a single button click.


Version: unspecified
Severity: enhancement

Details

Reference
bz69684
Related Gerrit Patches:
mediawiki/extensions/Translate : masterPer unit split feature at Special:PageMigration

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:39 AM
bzimport set Reference to bz69684.
bzimport created this task.Aug 18 2014, 5:46 AM

Change 154749 had a related patch set uploaded by BPositive:
Per unit split feature at Special:PageMigration

https://gerrit.wikimedia.org/r/154749

Change 154749 had a related patch set uploaded (by Nikerabbit):
Per unit split feature at Special:PageMigration

https://gerrit.wikimedia.org/r/154749

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2016, 12:51 PM

At Special:PageMigration, when the h2 alignment results into many units getting collapsed into a single unit, it becomes a tedious task to separate the chunk and the user has to do a lot of cut-copy-paste work.

I'm pretty sure this is still true.

However, in most common cases, to align manually, it is just required to bring the collapsed text next to the source unit and the consequent units would get matched automatically.
Having a split feature - which splits the headers from wikitext would automate this process and there won't be any need to cut-copy-paste. All the user has to do is bring the collapsed text next to the concerned unit and click the split icon.

But I'm not sure what was meant with this. IIRC it's not just about splitting the headers.

Change 154749 abandoned by Nikerabbit:
Per unit split feature at Special:PageMigration

Reason:
Over three months has passed since this patch had its last significant update. If anyone wants to continue with this patch, please unabandon, ask for it being unabandoned or submit as a new patch.

https://gerrit.wikimedia.org/r/154749

Nemo_bis closed this task as Declined.May 23 2016, 7:16 AM

Niklas said the use case is not clear enough.